Gentoo Archives: gentoo-java

From: Andrew Cowie <andrew@×××××××××××××××××××.com>
To: gentoo-java@l.g.o
Subject: Re: [gentoo-java] Problems with libgnome-java emerge
Date: Fri, 15 Jul 2005 01:32:20
In Reply to: [gentoo-java] Problems with libgnome-java emerge by "Peter B. West"
On Thu, 2005-14-07 at 16:30 +0100, Peter B. West wrote:
> My java-config setting is sun-jdk-, but I have tried this with ,
> and when I attempt to > $ emerge --update libgnome-java, I get > (cd .libs && rm -f && ln -s ../ > > /opt/sun-jdk- -classpath
I'm not sure off hand why it's actually using 1.4.2 and not your 1.5 install, but regardless, that's good, as the java-gnome hacker team aren't developing with 1.5 at the moment. As for why
> /usr/share/libgtk-java-2.6/lib/gtk2.6-2.6.2.jar:./src/java:src/java -d > src/java src/java/org/gnu/gnome/ > src/java/org/gnu/gnome/ package org.gnu.gdk does not exist > import org.gnu.gdk.Pixbuf;
didn't work, that actually has me a little puzzled. My first instinct would be to ensure that the same compiler built both libgtk-java and libgnome-java, but beyond that I'm not quite sure. Try setting your compiler to 1.4, and then rebuilding libgtk-java-2.6.2 If you're building this to *use* it to develop something, I recommend for further questions you come up on java-gnome-developers@×××××××××××××××××.net AfC Sydney P.S. We're getting close to a libgtk-java 2.6.3; I'll update the ebuild just as soon as that does come to pass. -- Andrew Frederick Cowie Technology strategy, managing change, establishing procedures, and executing successful upgrades to mission critical business infrastructure. Sydney New York Toronto London -- gentoo-java@g.o mailing list